<template>
  <view>
    <up-toast ref="uToastRef"></up-toast>
  </view>
</template>

<script setup>
import { ref, defineExpose } from "vue";
const uToastRef = ref(null);
const showMessage = ({ type = "default", message }) => {
  uToastRef.value.show({
    type,
    message,
  });
};
defineExpose({
  showMessage,
});
</script>

<style lang="scss" scoped></style>
